---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libiterinstcls006.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x24C0, symSize: 0x2A0 }
  - { offsetInCU: 0xAD4, offset: 0xAD4, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FA90, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0xAFB, offset: 0xAFB, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x519D0, symBinAddr: 0x9120, symSize: 0x0 }
  - { offsetInCU: 0xB1D, offset: 0xB1D, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51DC0, symBinAddr: 0x9510, symSize: 0x0 }
  - { offsetInCU: 0xB3F, offset: 0xB3F, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52D60, symBinAddr: 0xA4B0, symSize: 0x0 }
  - { offsetInCU: 0xB54, offset: 0xB54, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52D70, symBinAddr: 0xA4C0, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F710, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBDA, offset: 0xBDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F714, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBE5, offset: 0xBE5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F718, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC2A, offset: 0xC2A, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F860, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xCA3, offset: 0xCA3, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F918, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCC1, offset: 0xCC1, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F91C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCDA, offset: 0xCDA, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F920, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCF3, offset: 0xCF3, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F924, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xD0C, offset: 0xD0C, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F928, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92FB, offset: 0x92FB, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F930, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x9384, offset: 0x9384, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4F940, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x939D, offset: 0x939D, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F948, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93B6, offset: 0x93B6, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F950, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93CF, offset: 0x93CF, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F958, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93E8, offset: 0x93E8, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F960, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x9402, offset: 0x9402, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F968, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94E8, offset: 0x94E8, size: 0x8, addend: 0x0, symName: __ZL8st_jvmti, symObjAddr: 0x4F9B0, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x9501, offset: 0x9501, size: 0x8, addend: 0x0, symName: __ZL11storage_ptr, symObjAddr: 0x4F9B8, symBinAddr: 0x71C8, symSize: 0x0 }
  - { offsetInCU: 0x951A, offset: 0x951A, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4F9C0, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x9533, offset: 0x9533, size: 0x8, addend: 0x0, symName: __ZL21debugeeClassSignature, symObjAddr: 0xE0A0, symBinAddr: 0x5D10, symSize: 0x0 }
  - { offsetInCU: 0x9585, offset: 0x9585, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1140, symSize: 0x80 }
  - { offsetInCU: 0x961A, offset: 0x961A, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1090, symSize: 0xB0 }
  - { offsetInCU: 0x9675, offset: 0x9675, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xF90, symSize: 0x100 }
  - { offsetInCU: 0x9908, offset: 0x9908, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x11C0, symSize: 0xC0 }
  - { offsetInCU: 0x995A, offset: 0x995A, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1280, symSize: 0x220 }
  - { offsetInCU: 0x9B3F, offset: 0x9B3F, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x14A0, symSize: 0xA0 }
  - { offsetInCU: 0x9BF2, offset: 0x9BF2, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1540, symSize: 0x110 }
  - { offsetInCU: 0x9CE8, offset: 0x9CE8, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1650, symSize: 0x150 }
  - { offsetInCU: 0x9E45, offset: 0x9E45, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x17A0, symSize: 0x30 }
  - { offsetInCU: 0x9EEE, offset: 0x9EEE, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x17D0, symSize: 0x150 }
  - { offsetInCU: 0xA0E6, offset: 0xA0E6, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1920, symSize: 0x160 }
  - { offsetInCU: 0xA3A6, offset: 0xA3A6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1A80, symSize: 0x4A0 }
  - { offsetInCU: 0xA619, offset: 0xA619, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1F20, symSize: 0x1B0 }
  - { offsetInCU: 0xA834, offset: 0xA834, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x20D0, symSize: 0xA0 }
  - { offsetInCU: 0xA903, offset: 0xA903, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2170, symSize: 0x20 }
  - { offsetInCU: 0xA93A, offset: 0xA93A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x2190, symSize: 0x20 }
  - { offsetInCU: 0xA971, offset: 0xA971, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x21B0, symSize: 0x20 }
  - { offsetInCU: 0xAAE0, offset: 0xAAE0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x21D0, symSize: 0x1A0 }
  - { offsetInCU: 0xADFC, offset: 0xADFC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2370, symSize: 0x150 }
  - { offsetInCU: 0xAFB9, offset: 0xAFB9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2760, symSize: 0x1D0 }
  - { offsetInCU: 0xB2B5, offset: 0xB2B5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2930, symSize: 0x80 }
  - { offsetInCU: 0xB37E, offset: 0xB37E, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x29B0, symSize: 0x6C0 }
  - { offsetInCU: 0xBEF4, offset: 0xBEF4, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA290, symBinAddr: 0x40B0, symSize: 0xB0 }
  - { offsetInCU: 0xBF6B, offset: 0xBF6B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x3070, symSize: 0x70 }
  - { offsetInCU: 0xC06B, offset: 0xC06B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_classBySignature, symObjAddr: 0x45A0, symBinAddr: 0x30E0, symSize: 0x3B0 }
  - { offsetInCU: 0xC4E3, offset: 0xC4E3, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x3490, symSize: 0xA0 }
  - { offsetInCU: 0xC5C2, offset: 0xC5C2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x3530, symSize: 0x40 }
  - { offsetInCU: 0xC6B8, offset: 0xC6B8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3570, symSize: 0x2B0 }
  - { offsetInCU: 0xCA5E, offset: 0xCA5E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3820, symSize: 0xC0 }
  - { offsetInCU: 0xCBA4, offset: 0xCBA4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x38E0, symSize: 0x10 }
  - { offsetInCU: 0xCC66, offset: 0xCC66, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x38F0, symSize: 0x240 }
  - { offsetInCU: 0xCF4F, offset: 0xCF4F, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3B30, symSize: 0x10 }
  - { offsetInCU: 0xCFAC, offset: 0xCFAC, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3B40, symSize: 0x1F0 }
  - { offsetInCU: 0xD20D, offset: 0xD20D, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F10, symBinAddr: 0x3D30, symSize: 0x10 }
  - { offsetInCU: 0xD2AA, offset: 0xD2AA, size: 0x8, addend: 0x0, symName: _heapObjectCallback, symObjAddr: 0x9F20, symBinAddr: 0x3D40, symSize: 0x130 }
  - { offsetInCU: 0xD455, offset: 0xD455, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA050, symBinAddr: 0x3E70, symSize: 0x240 }
  - { offsetInCU: 0xD6AE, offset: 0xD6AE, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA340, symBinAddr: 0x4160, symSize: 0x36A }
...
